MissingH-1.1.1.0: Large utility library

Portability | portable
Stability | provisional
Maintainer | John Goerzen <jgoerzen@complete.org>
Safe Haskell | None

System.IO.StatCompat

Description

Provide a stat-like structure for use in MissingH. Especially useful with HVFS and on Windows. See also System.IO.WindowsCompat.

# Documentation

data FileStatusCompat

Constructors

FileStatusCompat |

Fields

deviceID :: DeviceID
fileID :: FileID
fileMode :: FileMode
linkCount :: LinkCount
fileOwner :: UserID
fileGroup :: GroupID
specialDeviceID :: DeviceID
fileSize :: FileOffset
accessTime :: EpochTime
modificationTime :: EpochTime
statusChangeTime :: EpochTime

sc_helper :: FileMode -> FileStatusCompat -> Bool

isBlockDevice :: FileStatusCompat -> Bool

isSocket :: FileStatusCompat -> Bool

isSymbolicLink :: FileStatusCompat -> Bool

isDirectory :: FileStatusCompat -> Bool

isRegularFile :: FileStatusCompat -> Bool

isNamedPipe :: FileStatusCompat -> Bool

isCharacterDevice :: FileStatusCompat -> Bool